'use strict';

function _typeof(obj) {
    '@babel/helpers - typeof';
    if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
        _typeof = function _typeof(obj) {
            return typeof obj;
        };
    } else {
        _typeof = function _typeof(obj) {
            return obj && typeof Symbol === 'function' && obj.constructor === Symbol && obj !== Symbol.prototype
                ? 'symbol'
                : typeof obj;
        };
    }
    return _typeof(obj);
}

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _colorManipulator = require('@material-ui/core/styles/colorManipulator');

var _makeStyles = _interopRequireDefault(require('@material-ui/styles/makeStyles'));

var _Button = _interopRequireDefault(require('../../../core/Button'));

var _HorizontalList = _interopRequireDefault(require('../../shared/HorizontalList'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== 'function') return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || (_typeof(obj) !== 'object' && typeof obj !== 'function')) {
        return { default: obj };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
        if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}

function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _nonIterableSpread() {
    throw new TypeError(
        'Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.'
    );
}

function _iterableToArray(iter) {
    if ((typeof Symbol !== 'undefined' && iter[Symbol.iterator] != null) || iter['@@iterator'] != null)
        return Array.from(iter);
}

function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _slicedToArray(arr, i) {
    return (
        _arrayWithHoles(arr) ||
        _iterableToArrayLimit(arr, i) ||
        _unsupportedIterableToArray(arr, i) ||
        _nonIterableRest()
    );
}

function _nonIterableRest() {
    throw new TypeError(
        'Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.'
    );
}

function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === 'string') return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === 'Object' && o.constructor) n = o.constructor.name;
    if (n === 'Map' || n === 'Set') return Array.from(o);
    if (n === 'Arguments' || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) {
        arr2[i] = arr[i];
    }
    return arr2;
}

function _iterableToArrayLimit(arr, i) {
    var _i = arr == null ? null : (typeof Symbol !== 'undefined' && arr[Symbol.iterator]) || arr['@@iterator'];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally {
        try {
            if (!_n && _i['return'] != null) _i['return']();
        } finally {
            if (_d) throw _e;
        }
    }
    return _arr;
}

function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
}

var useStyles = (0, _makeStyles.default)(function (_ref) {
    var text = _ref.palette.text;
    return {
        root: function root(_ref2) {
            var shouldBeVisible = _ref2.shouldBeVisible,
                primary = _ref2.primary;
            return {
                position: 'fixed',
                top: 0,
                width: '100%',
                display: 'flex',
                flexDirection: 'row',
                justifyContent: 'space-between',
                alignItems: 'flex-start',
                height: 95,
                padding: '25px 55px',
                zIndex: 6000,
                boxSizing: 'border-box',
                transition: 'height 1s ease, background 1s ease',
                backgroundColor: shouldBeVisible
                    ? ''.concat((0, _colorManipulator.alpha)(primary ? text.primary : text.secondary, 0.96))
                    : 'rgba(0, 0, 0, 0)'
            };
        },
        isOpen: function isOpen() {
            return {
                height: '100%'
            };
        }
    };
});

var SiteHeader = function SiteHeader(_ref3) {
    var leftNodes = _ref3.leftNodes,
        rightNodes = _ref3.rightNodes,
        primary = _ref3.primary;

    var _useState = (0, _react.useState)(false),
        _useState2 = _slicedToArray(_useState, 2),
        shouldBeVisible = _useState2[0],
        setShouldBeVisible = _useState2[1];

    var _useState3 = (0, _react.useState)(false),
        _useState4 = _slicedToArray(_useState3, 2),
        isOpen = _useState4[0],
        setIsOpen = _useState4[1];

    var classes = useStyles({
        shouldBeVisible: shouldBeVisible,
        primary: primary
    });

    function toggleOpen() {
        setIsOpen(!isOpen);
    }

    (0, _react.useEffect)(
        function () {
            if (!window) {
                return;
            }

            function handleScrollEvent() {
                setShouldBeVisible(window.pageYOffset > 0);
            }

            window.addEventListener('scroll', handleScrollEvent);
            return function () {
                window.removeEventListener('scroll', handleScrollEvent);
            };
        },
        [setShouldBeVisible]
    );
    return /*#__PURE__*/ _react.default.createElement(
        'div',
        {
            className: (0, _clsx.default)(classes.root, isOpen && classes.isOpen)
        },
        /*#__PURE__*/ _react.default.createElement(_HorizontalList.default, null, leftNodes),
        /*#__PURE__*/ _react.default.createElement(
            _HorizontalList.default,
            null,
            [].concat(_toConsumableArray(rightNodes), [
                /*#__PURE__*/ _react.default.createElement(_Button.default, {
                    key: 'hamburger-btn',
                    onClick: toggleOpen,
                    label: 'hamburger'
                })
            ])
        )
    );
};

SiteHeader.propTypes = {
    classes: _propTypes.default.object.isRequired,
    primary: _propTypes.default.bool,
    leftNodes: _propTypes.default.arrayOf(_propTypes.default.node),
    rightNodes: _propTypes.default.arrayOf(_propTypes.default.node)
};
SiteHeader.defaultProps = {
    primary: true,
    leftNodes: [],
    rightNodes: []
};
var _default = SiteHeader;
exports.default = _default;
