'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _makeStyles = _interopRequireDefault(require('@material-ui/styles/makeStyles'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

/* eslint-disable */
var dividerSize = {
    small: 1,
    medium: 2,
    large: 3
};
var useStyles = (0, _makeStyles.default)(function (_ref) {
    var myDivider = _ref.palette.myDivider;
    return {
        root: function root(_ref2) {
            var primary = _ref2.primary;
            return {
                alignSelf: 'stretch',
                borderStyle: 'solid',
                backgroundColor: primary ? myDivider.primary : myDivider.secondary,
                borderColor: primary ? myDivider.primary : myDivider.secondary
            };
        },
        margined: function margined() {
            return {
                margin: '7 0'
            };
        },
        sizes: function sizes(_ref3) {
            var vertical = _ref3.vertical,
                size = _ref3.size;
            return {
                borderWidth: !vertical
                    ? ''.concat(dividerSize[size], 'px 0 0 0')
                    : '0 '.concat(dividerSize[size], 'px 0 0')
            };
        },
        vertical: function vertical() {
            return {
                width: 0
            };
        }
    };
});

var Divider = function Divider(props) {
    var classes = useStyles(props);
    var margined = props.margined,
        vertical = props.vertical,
        className = props.className;
    return /*#__PURE__*/ _react.default.createElement('div', {
        className: (0, _clsx.default)(
            classes.root,
            classes.sizes,
            margined && classes.margined,
            vertical && classes.vertical,
            className
        )
    });
};

Divider.propTypes = {
    className: _propTypes.default.string,
    primary: _propTypes.default.bool,
    vertical: _propTypes.default.bool,
    margined: _propTypes.default.bool,
    size: _propTypes.default.oneOf(['small', 'medium', 'large'])
};
Divider.defaultProps = {
    primary: true,
    vertical: false,
    margined: false,
    size: 'medium'
};
var _default = Divider;
exports.default = _default;
