'use strict';

function _typeof(obj) {
    '@babel/helpers - typeof';
    if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
        _typeof = function _typeof(obj) {
            return typeof obj;
        };
    } else {
        _typeof = function _typeof(obj) {
            return obj && typeof Symbol === 'function' && obj.constructor === Symbol && obj !== Symbol.prototype
                ? 'symbol'
                : typeof obj;
        };
    }
    return _typeof(obj);
}

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require('react'));

var _styles = require('@material-ui/styles');

var _propTypes = _interopRequireDefault(require('prop-types'));

var _clsx = _interopRequireDefault(require('clsx'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== 'function') return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || (_typeof(obj) !== 'object' && typeof obj !== 'function')) {
        return { default: obj };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
        if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}

function _slicedToArray(arr, i) {
    return (
        _arrayWithHoles(arr) ||
        _iterableToArrayLimit(arr, i) ||
        _unsupportedIterableToArray(arr, i) ||
        _nonIterableRest()
    );
}

function _nonIterableRest() {
    throw new TypeError(
        'Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.'
    );
}

function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === 'string') return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === 'Object' && o.constructor) n = o.constructor.name;
    if (n === 'Map' || n === 'Set') return Array.from(o);
    if (n === 'Arguments' || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) {
        arr2[i] = arr[i];
    }
    return arr2;
}

function _iterableToArrayLimit(arr, i) {
    var _i = arr == null ? null : (typeof Symbol !== 'undefined' && arr[Symbol.iterator]) || arr['@@iterator'];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally {
        try {
            if (!_n && _i['return'] != null) _i['return']();
        } finally {
            if (_d) throw _e;
        }
    }
    return _arr;
}

function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
}

var useStyles = (0, _styles.makeStyles)(function () {
    return {
        hamburger: {
            width: 30,
            height: 30,
            '& > *': {
                transition: 'transform 0.15s linear, margin 0.15s 0.25s linear',
                position: 'absolute',
                padding: '2px 15px',
                width: 0,
                height: 0,
                backgroundColor: function backgroundColor(props) {
                    return props.color;
                }
            }
        },
        open: {
            '& > *': {
                transition: 'transform 0.15s 0.25s linear, margin 0.15s linear',
                margin: '13px 0 13px 0 !important'
            },
            '& > $upperLine': {
                transform: 'rotate(45deg)'
            },
            '& > $lowerLine': {
                transform: 'rotate(-45deg)'
            }
        },
        upperLine: {
            margin: '5px 0 21px 0'
        },
        lowerLine: {
            margin: '21px 0 5px 0'
        }
    };
});

var Hamburger = function Hamburger(props) {
    var color = props.color,
        onClick = props.onClick;
    var classes = useStyles({
        color: color
    });

    var _useState = (0, _react.useState)(false),
        _useState2 = _slicedToArray(_useState, 2),
        isOpen = _useState2[0],
        setIsOpen = _useState2[1];

    var open = function open() {
        setIsOpen(!isOpen);
        onClick && onClick();
    };

    return /*#__PURE__*/ _react.default.createElement(
        'div',
        {
            className: (0, _clsx.default)(classes.hamburger, isOpen && classes.open),
            onClick: open
        },
        /*#__PURE__*/ _react.default.createElement('div', {
            className: (0, _clsx.default)(classes.upperLine)
        }),
        /*#__PURE__*/ _react.default.createElement('div', {
            className: (0, _clsx.default)(classes.lowerLine)
        })
    );
};

Hamburger.propTypes = {
    color: _propTypes.default.string,
    onClick: _propTypes.default.func
};
var _default = Hamburger;
exports.default = _default;
