'use strict';

function _typeof(obj) {
    '@babel/helpers - typeof';
    if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
        _typeof = function _typeof(obj) {
            return typeof obj;
        };
    } else {
        _typeof = function _typeof(obj) {
            return obj && typeof Symbol === 'function' && obj.constructor === Symbol && obj !== Symbol.prototype
                ? 'symbol'
                : typeof obj;
        };
    }
    return _typeof(obj);
}

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _core = require('@material-ui/core');

var _LinkWrapper = _interopRequireWildcard(require('../LinkWrapper/LinkWrapper'));

var _excluded = ['position', 'className', 'href'];

function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== 'function') return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || (_typeof(obj) !== 'object' && typeof obj !== 'function')) {
        return { default: obj };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
        if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _extends() {
    _extends =
        Object.assign ||
        function (target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) {
                    if (Object.prototype.hasOwnProperty.call(source, key)) {
                        target[key] = source[key];
                    }
                }
            }
            return target;
        };
    return _extends.apply(this, arguments);
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

var useStyles = (0, _core.makeStyles)(function (_ref) {
    var spacing = _ref.spacing;
    return {
        root: function root(_ref2) {
            var isLinkActive = _ref2.isLinkActive,
                colorOnHover = _ref2.colorOnHover,
                size = _ref2.size,
                icon = _ref2.icon;
            return {
                color: isLinkActive && colorOnHover,
                position: 'relative',
                '&::after, &::before': {
                    content: '""',
                    width: size,
                    height: size,
                    background: 'url('.concat(icon, ') no-repeat'),
                    backgroundSize: 'contain'
                }
            };
        },
        right: {
            '&::after': {
                display: 'inline-block',
                position: 'absolute',
                top: '63%',
                transform: 'translate(-50%, -50%)',
                marginLeft: spacing(6)
            }
        },
        left: {
            '&::before': {
                display: 'inline-block',
                marginRight: spacing(1)
            }
        },
        down: {
            '&::after': {
                display: 'inline-flex',
                position: 'absolute',
                bottom: '-40%',
                left: '50%'
            }
        },
        up: {
            '&::after': {
                display: 'inline-flex',
                position: 'absolute',
                top: '-30%',
                left: '50%'
            }
        }
    };
});

var LinkAlignedWithIcon = function LinkAlignedWithIcon(_ref3) {
    var position = _ref3.position,
        className = _ref3.className,
        href = _ref3.href,
        props = _objectWithoutProperties(_ref3, _excluded);

    var classes = useStyles(props);
    var isLinkActive = props.isLinkActive;
    return /*#__PURE__*/ _react.default.createElement(
        _core.Box,
        null,
        /*#__PURE__*/ _react.default.createElement(
            _LinkWrapper.default,
            _extends(
                {
                    className: (0, _clsx.default)(classes.root, isLinkActive && classes[position], className),
                    linkProps: {
                        href: href
                    }
                },
                props
            )
        )
    );
};

LinkAlignedWithIcon.propTypes = {
    text: _propTypes.default.string.isRequired,
    icon: _propTypes.default.node.isRequired,
    href: _propTypes.default.string,
    size: _propTypes.default.number,
    position: _propTypes.default.string,
    isLinkActive: _propTypes.default.bool,
    className: _propTypes.default.string,
    onClick: _propTypes.default.func,
    onMouseEnter: _propTypes.default.func,
    common: _LinkWrapper.commonTypes
};
LinkAlignedWithIcon.defaultProps = {
    position: 'right',
    size: 40,
    isLinkActive: true,
    common: {
        fontSize: 80,
        fontWeight: 400,
        textTransform: 'inherit',
        color: '#868686',
        colorOnHover: '#FFFFFF'
    }
};
var _default = LinkAlignedWithIcon;
exports.default = _default;
