'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _clsx = _interopRequireDefault(require('clsx'));

var _core = require('@material-ui/core');

var _LinkAlignedWithIcon = _interopRequireDefault(require('../LinkAlignedWithIcon'));

var _LinkWrapper = require('../LinkWrapper/LinkWrapper');

var _excluded = ['title', 'route', 'index', 'isArrow', 'setActiveLink'];

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _extends() {
    _extends =
        Object.assign ||
        function (target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) {
                    if (Object.prototype.hasOwnProperty.call(source, key)) {
                        target[key] = source[key];
                    }
                }
            }
            return target;
        };
    return _extends.apply(this, arguments);
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

var arrow = function arrow(props) {
    return /*#__PURE__*/ _react.default.createElement(
        'svg',
        props,
        /*#__PURE__*/ _react.default.createElement(
            'defs',
            null,
            /*#__PURE__*/ _react.default.createElement('style', null, '.cls-1', '{', 'fill:#fff;', '}')
        ),
        /*#__PURE__*/ _react.default.createElement('title', null, 'Asset 2'),
        /*#__PURE__*/ _react.default.createElement(
            'g',
            {
                id: 'Layer_2',
                "'data-name'": 'Layer 2'
            },
            /*#__PURE__*/ _react.default.createElement(
                'g',
                {
                    id: 'Layer_1-2',
                    "'data-name'": 'Layer 1'
                },
                /*#__PURE__*/ _react.default.createElement('polygon', {
                    className: 'cls-1',
                    points: '25.61 283.75 0 258.14 116.27 141.87 0 25.61 25.61 0 167.48 141.87 25.61 283.75'
                })
            )
        )
    );
};

arrow.defaultProps = {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 167.48 283.75'
};
var useStyles = (0, _core.makeStyles)(function (_ref) {
    var breakpoints = _ref.breakpoints,
        spacing = _ref.spacing;
    return {
        arrowLinkContainer: _defineProperty({}, breakpoints.up('sm'), {
            width: '50%'
        }),
        root: function root(_ref2) {
            var _ref3;

            var colorOnHover = _ref2.colorOnHover,
                fontSize = _ref2.fontSize,
                isLinkActive = _ref2.isLinkActive;
            return (
                (_ref3 = {}),
                _defineProperty(_ref3, breakpoints.only('xs'), {
                    color: colorOnHover,
                    fontSize: fontSize * 0.5,
                    '&::after': {
                        transform: isLinkActive && 'rotateZ(-90deg) translateX(4px)',
                        transition: isLinkActive && 'all 0.2s linear'
                    }
                }),
                _defineProperty(_ref3, breakpoints.only('sm'), {
                    fontSize: fontSize * 0.7
                }),
                _defineProperty(_ref3, breakpoints.only('md'), {
                    fontSize: fontSize * 0.8
                }),
                _ref3
            );
        },
        mobileArrow: function mobileArrow(_ref4) {
            var size = _ref4.size,
                isLinkActive = _ref4.isLinkActive;
            return _defineProperty({}, breakpoints.only('xs'), {
                '&::after': {
                    width: size * 0.5,
                    height: size * 0.5,
                    display: 'inline-block',
                    position: 'absolute',
                    top: '40%',
                    marginLeft: spacing(2),
                    transform: 'rotateZ(90deg) translateX(3px)',
                    transition: !isLinkActive && 'all 0.2s linear'
                }
            });
        }
    };
});

var LinkArrow = function LinkArrow(_ref6) {
    var title = _ref6.title,
        route = _ref6.route,
        index = _ref6.index,
        isArrow = _ref6.isArrow,
        setActiveLink = _ref6.setActiveLink,
        props = _objectWithoutProperties(_ref6, _excluded);

    var classes = useStyles(props);
    var isLinkActive = props.isLinkActive;
    var isMobileView = (0, _core.useMediaQuery)(function (theme) {
        return theme.breakpoints.only('xs');
    });

    var handleLinkClick = function handleLinkClick(e) {
        if (isMobileView && isArrow) {
            e.preventDefault();
            setActiveLink(isLinkActive ? null : index);
        }
    };

    var handleLinkOnMouseEnter = function handleLinkOnMouseEnter() {
        !isMobileView && setActiveLink(index);
    };

    return (
        (isMobileView || (!isMobileView && isArrow)) &&
        /*#__PURE__*/ _react.default.createElement(
            _core.Box,
            {
                className: classes.arrowLinkContainer
            },
            /*#__PURE__*/ _react.default.createElement(
                _LinkAlignedWithIcon.default,
                _extends(
                    {
                        className: (0, _clsx.default)(classes.root, isArrow && classes.mobileArrow),
                        href: route,
                        text: title,
                        onClick: handleLinkClick,
                        onMouseEnter: handleLinkOnMouseEnter,
                        icon: arrow
                    },
                    props
                )
            )
        )
    );
};

LinkArrow.propTypes = {
    title: _propTypes.default.string.isRequired,
    route: _propTypes.default.string,
    isArrow: _propTypes.default.bool,
    index: _propTypes.default.number.isRequired,
    setActiveLink: _propTypes.default.func.isRequired,
    isLinkActive: _propTypes.default.bool.isRequired,
    position: _propTypes.default.string,
    size: _propTypes.default.number,
    common: _LinkWrapper.commonTypes
};
LinkArrow.defaultProps = {
    position: 'right',
    size: 40,
    common: {
        color: '#868686',
        colorOnHover: '#FFFFFF',
        fontSize: 80,
        fontWeight: 400
    }
};
var _default = LinkArrow;
exports.default = _default;
