'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = exports.commonTypes = void 0;

var _react = _interopRequireDefault(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _core = require('@material-ui/core');

var _excluded = ['children', 'text', 'className', 'onClick', 'onMouseEnter'];

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

var useStyles = (0, _core.makeStyles)(function () {
    return {
        root: function root(_ref) {
            var fontSize = _ref.fontSize,
                fontWeight = _ref.fontWeight,
                color = _ref.color,
                textTransform = _ref.textTransform,
                linkProps = _ref.linkProps,
                colorOnHover = _ref.colorOnHover;
            return {
                fontSize: fontSize,
                fontWeight: fontWeight,
                color: color,
                textTransform: textTransform,
                '&:hover': {
                    color: linkProps.href && colorOnHover
                }
            };
        }
    };
});

var LinkWrapper = function LinkWrapper(_ref2) {
    var children = _ref2.children,
        text = _ref2.text,
        className = _ref2.className,
        onClick = _ref2.onClick,
        onMouseEnter = _ref2.onMouseEnter,
        props = _objectWithoutProperties(_ref2, _excluded);

    var classes = useStyles(props);
    var _props$linkProps = props.linkProps,
        href = _props$linkProps.href,
        target = _props$linkProps.target,
        rel = _props$linkProps.rel;
    return /*#__PURE__*/ _react.default.createElement(
        _core.Link,
        {
            href: href,
            target: target,
            rel: rel,
            className: (0, _clsx.default)(classes.root, className),
            onClick: onClick,
            onMouseEnter: onMouseEnter,
            underline: 'none'
        },
        children,
        text
    );
};

var commonTypes = _propTypes.default.shape({
    fontSize: _propTypes.default.number,
    fontWeight: _propTypes.default.number,
    color: _propTypes.default.string,
    colorOnHover: _propTypes.default.string,
    textTransform: _propTypes.default.string
});

exports.commonTypes = commonTypes;
LinkWrapper.propTypes = {
    text: _propTypes.default.string,
    linkProps: _propTypes.default.object,
    children: _propTypes.default.node,
    className: _propTypes.default.string,
    onClick: _propTypes.default.func,
    onMouseEnter: _propTypes.default.func,
    common: commonTypes
};
LinkWrapper.defaultProps = {
    linkProps: {
        href: '/',
        rel: 'noopener'
    },
    common: {
        fontSize: 19,
        fontWeight: 300,
        color: '#FFFFFF',
        colorOnHover: '#EA3D26',
        textTransform: 'lowercase'
    }
};
var _default = LinkWrapper;
exports.default = _default;
