'use strict';

function _typeof(obj) {
    '@babel/helpers - typeof';
    if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
        _typeof = function _typeof(obj) {
            return typeof obj;
        };
    } else {
        _typeof = function _typeof(obj) {
            return obj && typeof Symbol === 'function' && obj.constructor === Symbol && obj !== Symbol.prototype
                ? 'symbol'
                : typeof obj;
        };
    }
    return _typeof(obj);
}

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require('react'));

var _core = require('@material-ui/core');

var _propTypes = _interopRequireDefault(require('prop-types'));

var _LinkArrow = _interopRequireDefault(require('../LinkArrow'));

var _Divider = _interopRequireDefault(require('../Divider'));

var _MenuSubLinks = _interopRequireDefault(require('./MenuSubLinks'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== 'function') return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || (_typeof(obj) !== 'object' && typeof obj !== 'function')) {
        return { default: obj };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
        if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}

function _slicedToArray(arr, i) {
    return (
        _arrayWithHoles(arr) ||
        _iterableToArrayLimit(arr, i) ||
        _unsupportedIterableToArray(arr, i) ||
        _nonIterableRest()
    );
}

function _nonIterableRest() {
    throw new TypeError(
        'Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.'
    );
}

function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === 'string') return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === 'Object' && o.constructor) n = o.constructor.name;
    if (n === 'Map' || n === 'Set') return Array.from(o);
    if (n === 'Arguments' || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) {
        arr2[i] = arr[i];
    }
    return arr2;
}

function _iterableToArrayLimit(arr, i) {
    var _i = arr == null ? null : (typeof Symbol !== 'undefined' && arr[Symbol.iterator]) || arr['@@iterator'];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally {
        try {
            if (!_n && _i['return'] != null) _i['return']();
        } finally {
            if (_d) throw _e;
        }
    }
    return _arr;
}

function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

var useStyles = (0, _core.makeStyles)(function (_ref) {
    var breakpoints = _ref.breakpoints;
    return {
        menuLinkListContainer: {
            display: 'flex',
            flexDirection: 'column',
            position: 'relative',
            margin: '0 auto',
            width: '80%',
            maxWidth: 1280
        },
        menuSubLinksContainer: _defineProperty({}, breakpoints.up('sm'), {
            position: 'absolute',
            width: '50%',
            top: 0,
            right: 0,
            zIndex: 1
        }),
        divider: {
            '&:last-child': {
                display: 'none'
            }
        }
    };
});

var MenuLinkList = function MenuLinkList(_ref2) {
    var mocks = _ref2.mocks;
    var classes = useStyles();
    var theme = (0, _core.useTheme)();
    var isMobileView = (0, _core.useMediaQuery)(function (theme) {
        return theme.breakpoints.only('xs');
    });

    var _useState = (0, _react.useState)(0),
        _useState2 = _slicedToArray(_useState, 2),
        activeLink = _useState2[0],
        setActiveLink = _useState2[1];

    (0, _react.useEffect)(
        function () {
            setActiveLink(0);
        },
        [isMobileView]
    );
    return /*#__PURE__*/ _react.default.createElement(
        _core.Box,
        {
            className: classes.menuLinkListContainer
        },
        mocks.map(function (_ref3, index) {
            var title = _ref3.title,
                route = _ref3.route,
                isArrow = _ref3.isArrow,
                links = _ref3.links;
            var isLinkActive = activeLink === index;
            return /*#__PURE__*/ _react.default.createElement(
                _react.Fragment,
                {
                    key: 'menu-'.concat(index)
                },
                /*#__PURE__*/ _react.default.createElement(_LinkArrow.default, {
                    key: 'menu-link-'.concat(index),
                    title: title,
                    route: route,
                    isArrow: isArrow,
                    links: links,
                    index: index,
                    isLinkActive: isLinkActive,
                    setActiveLink: setActiveLink,
                    position: 'right',
                    fontSize: 80,
                    fontWeight: 600,
                    size: 40,
                    color: theme.palette.color.grey,
                    colorOnHover: theme.palette.text.secondary
                }),
                isArrow &&
                    isLinkActive &&
                    /*#__PURE__*/ _react.default.createElement(
                        _core.Box,
                        {
                            className: classes.menuSubLinksContainer
                        },
                        links === null || links === void 0
                            ? void 0
                            : links.map(function (_ref4, linkIndex) {
                                  var subtitle = _ref4.subtitle,
                                      route = _ref4.route,
                                      subLinks = _ref4.subLinks;
                                  return /*#__PURE__*/ _react.default.createElement(
                                      _react.Fragment,
                                      {
                                          key: linkIndex
                                      },
                                      /*#__PURE__*/ _react.default.createElement(_MenuSubLinks.default, {
                                          subtitle: subtitle,
                                          route: route,
                                          subLinks: subLinks,
                                          color: theme.palette.text.secondary,
                                          colorOnHover: theme.palette.color.red,
                                          fontSize: 35,
                                          fontWeight: 400
                                      }),
                                      /*#__PURE__*/ _react.default.createElement(_Divider.default, {
                                          className: classes.divider,
                                          primary: false,
                                          margined: true,
                                          size: 'small'
                                      })
                                  );
                              })
                    )
            );
        })
    );
};

MenuLinkList.propTypes = {
    mocks: _propTypes.default.arrayOf(_propTypes.default.object).isRequired
};
var _default = MenuLinkList;
exports.default = _default;
