'use strict';

function _typeof(obj) {
    '@babel/helpers - typeof';
    if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
        _typeof = function _typeof(obj) {
            return typeof obj;
        };
    } else {
        _typeof = function _typeof(obj) {
            return obj && typeof Symbol === 'function' && obj.constructor === Symbol && obj !== Symbol.prototype
                ? 'symbol'
                : typeof obj;
        };
    }
    return _typeof(obj);
}

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _clsx = _interopRequireDefault(require('clsx'));

var _core = require('@material-ui/core');

var _LinkWrapper = _interopRequireWildcard(require('../../LinkWrapper/LinkWrapper'));

var _excluded = ['subtitle', 'subLinks'];

function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== 'function') return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || (_typeof(obj) !== 'object' && typeof obj !== 'function')) {
        return { default: obj };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
        if (key !== 'default' && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _extends() {
    _extends =
        Object.assign ||
        function (target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) {
                    if (Object.prototype.hasOwnProperty.call(source, key)) {
                        target[key] = source[key];
                    }
                }
            }
            return target;
        };
    return _extends.apply(this, arguments);
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

var useStyles = (0, _core.makeStyles)(function (_ref) {
    var _menuSubLinksContaine, _subLinkContainer;

    var breakpoints = _ref.breakpoints,
        spacing = _ref.spacing;
    return {
        menuSubLinksContainer:
            ((_menuSubLinksContaine = {}),
            _defineProperty(_menuSubLinksContaine, breakpoints.only('xs'), {
                paddingLeft: 0,
                marginLeft: spacing(3.5),
                marginRight: spacing(2.5),
                paddingTop: spacing(0.7),
                boxSizing: 'border-box'
            }),
            _defineProperty(_menuSubLinksContaine, breakpoints.up('sm'), {
                width: '100%',
                display: 'flex',
                flexFlow: 'nowrap',
                padding: '7px 0'
            }),
            _menuSubLinksContaine),
        subtitle: function subtitle(_ref2) {
            var _ref3;

            var fontSize = _ref2.fontSize;
            return (
                (_ref3 = {}),
                _defineProperty(_ref3, breakpoints.only('xs'), {
                    fontSize: fontSize * 0.7,
                    padding: '7px 0'
                }),
                _defineProperty(_ref3, breakpoints.only('sm'), {
                    fontSize: fontSize * 0.8
                }),
                _defineProperty(_ref3, breakpoints.only('md'), {
                    fontSize: fontSize * 0.9
                }),
                _defineProperty(_ref3, breakpoints.up('sm'), {
                    width: '50%',
                    '&::after': {
                        content: '":"',
                        width: fontSize,
                        height: fontSize,
                        display: 'inline-block',
                        backgroundSize: 'contain',
                        position: 'absolute'
                    }
                }),
                _ref3
            );
        },
        subLinkContainer:
            ((_subLinkContainer = {}),
            _defineProperty(_subLinkContainer, breakpoints.only('xs'), {
                paddingTop: spacing(0.7)
            }),
            _defineProperty(_subLinkContainer, breakpoints.up('sm'), {
                width: '50%',
                marginTop: spacing(0.7),
                display: 'flex',
                flexDirection: 'column'
            }),
            _subLinkContainer),
        subLink: function subLink(_ref4) {
            var _ref5;

            var fontSize = _ref4.fontSize;
            return (
                (_ref5 = {
                    fontSize: fontSize * 0.6
                }),
                _defineProperty(_ref5, breakpoints.only('xs'), {
                    fontSize: fontSize * 0.5,
                    padding: '4px 1.6em',
                    display: 'block'
                }),
                _defineProperty(_ref5, breakpoints.up('sm'), {
                    margin: spacing(0.3)
                }),
                _ref5
            );
        },
        common: function common(_ref6) {
            var color = _ref6.color;
            return _defineProperty({}, breakpoints.only('xs'), {
                '&:hover': {
                    color: color
                }
            });
        }
    };
});

var MenuSubLinks = function MenuSubLinks(_ref8) {
    var subtitle = _ref8.subtitle,
        subLinks = _ref8.subLinks,
        props = _objectWithoutProperties(_ref8, _excluded);

    var classes = useStyles(props);
    var route = props.route;
    return /*#__PURE__*/ _react.default.createElement(
        _core.Box,
        {
            className: classes.menuSubLinksContainer
        },
        /*#__PURE__*/ _react.default.createElement(
            _LinkWrapper.default,
            _extends(
                {
                    linkProps: {
                        href: route
                    },
                    text: subtitle,
                    className: (0, _clsx.default)(classes.common, classes.subtitle)
                },
                props
            )
        ),
        /*#__PURE__*/ _react.default.createElement(
            _core.Box,
            {
                className: classes.subLinkContainer
            },
            subLinks === null || subLinks === void 0
                ? void 0
                : subLinks.map(function (_ref9) {
                      var subLink = _ref9.subLink,
                          route = _ref9.route;
                      return /*#__PURE__*/ _react.default.createElement(
                          _LinkWrapper.default,
                          _extends(
                              {
                                  key: subLink,
                                  linkProps: {
                                      href: route
                                  },
                                  text: subLink,
                                  className: (0, _clsx.default)(classes.common, classes.subLink)
                              },
                              props
                          )
                      );
                  })
        )
    );
};

MenuSubLinks.propTypes = {
    subtitle: _propTypes.default.string.isRequired,
    route: _propTypes.default.string,
    subLinks: _propTypes.default.arrayOf(_propTypes.default.object),
    common: _LinkWrapper.commonTypes
};
MenuSubLinks.defaultProps = {
    common: {
        color: '#FFFFFF',
        colorOnHover: '#EA3D26',
        fontSize: 35,
        fontWeight: 300,
        textTransform: 'inherit'
    }
};
var _default = MenuSubLinks;
exports.default = _default;
