'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.SecondaryVertical = exports.PrimaryMargined = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _Divider = _interopRequireDefault(require('../../../core/Divider'));

var _styles = require('@material-ui/styles');

var _clsx = _interopRequireDefault(require('clsx'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var useStyles = (0, _styles.makeStyles)(function (theme) {
    return {
        row: {
            display: 'flex',
            flexDirection: 'row'
        },
        column: {
            display: 'flex',
            flexDirection: 'column'
        },
        box: {
            padding: '40px',
            backgroundColor: 'grey'
        }
    };
});
var _default = {
    title: 'Example/Divider',
    component: _Divider.default,
    decorators: [
        function (Story, context) {
            var classes = useStyles();
            return /*#__PURE__*/ _react.default.createElement(
                'div',
                {
                    className: classes.row
                },
                /*#__PURE__*/ _react.default.createElement(
                    'div',
                    {
                        className: (0, _clsx.default)(context.args.vertical ? classes.row : classes.column)
                    },
                    /*#__PURE__*/ _react.default.createElement(
                        'div',
                        {
                            className: classes.box
                        },
                        'element'
                    ),
                    /*#__PURE__*/ _react.default.createElement(Story, null),
                    /*#__PURE__*/ _react.default.createElement(
                        'div',
                        {
                            className: classes.box
                        },
                        'element'
                    )
                )
            );
        }
    ],
    argTypes: {
        size: {
            options: ['small', 'medium', 'large'],
            control: {
                type: 'radio'
            }
        },
        classes: {
            table: {
                disable: true
            }
        }
    }
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(_Divider.default, args);
};

var PrimaryMargined = Template.bind({});
exports.PrimaryMargined = PrimaryMargined;
PrimaryMargined.args = {
    primary: true,
    vertical: false,
    margined: true
};
var SecondaryVertical = Template.bind({});
exports.SecondaryVertical = SecondaryVertical;
SecondaryVertical.args = {
    primary: false,
    vertical: true,
    margined: false
};
